<?php

/* --------------------------------------------------------------
   OrderItemAddonValueStorage.inc.php 2015-12-17
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2015 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

MainFactory::load_class('AbstractAddonValueStorage');

/**
 * Class OrderItemAddonValueStorage
 *
 * @category   System
 * @package    Order
 * @subpackage Storages
 */
class OrderItemAddonValueStorage extends AbstractAddonValueStorage
{
	/**
	 * Get the container class type.
	 *
	 * @return string
	 */
	protected function _getContainerType()
	{
		return 'OrderItemInterface';
	}
	
	
	/**
	 * Returns a multidimensional array with the primary key of the orders_products table and the required column names
	 * with the corresponding key used in the KeyValueCollection.
	 *
	 * @return array
	 */
	protected function _getExternalFieldsArray()
	{
		$externalFields                                   = array();
		$externalFields['orders_products']['primary_key'] = 'orders_products_id';
		$externalFields['orders_products']['fields']      = array(
			'products_id' => 'productId'
		);
		
		return $externalFields;
	}
}