<?php
/* --------------------------------------------------------------
   dependent.inc.php 2016-02-26
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   -------------------------------------------------------------- 
*/

$t_check = $this->table_column_exists('admin_access', 'econda');
if($t_check)
{
	$query = "ALTER TABLE `admin_access` DROP COLUMN `econda`;";
	$t_success &= $this->query($query, true);
}

$check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'MODULE_CENTER_NEWSLETTERLINK_INSTALLED'", true);
if($check->num_rows == 0)
{
	$query = 'SELECT `configuration_value` FROM `configuration` WHERE `configuration_key` = "CURRENT_TEMPLATE"';
	$row   = $this->query($query);
	$t_success &= is_array($row);
	
	if(isset($row[0]['configuration_value']))
	{
		$templateName = basename($row[0]['configuration_value']);
		
		$check = $this->query("SELECT box_status
									FROM gm_boxes
									WHERE
										box_name = 'newsletter'
										AND box_status = 1
										AND template_name = '" . $templateName . "'
									LIMIT 1", true);
		if($check->num_rows === 1)
		{
			$query = 'INSERT INTO `gm_configuration` 
						SET 
							`gm_key` = "MODULE_CENTER_NEWSLETTERLINK_INSTALLED",
							`gm_value` = "1"';
			$t_success &= $this->query($query, true);
		}
	}
}


// START DB set default value for NOT NULL columns
$timeStart        = microtime(true);
$stringTypesArray = array('char',
                          'varchar',
                          'set'
);

$numberArray   = array('int', 'tinyint', 'decimal', 'smallint', 'bigint', 'float', 'double', 'mediumint', 'double');
$dateArray     = array('date');
$datetimeArray = array('datetime', 'timestamp');

$excludeTablesArray = array();

if(file_exists(DIR_FS_CATALOG . 'cache/exclude_tables.pdc') && is_readable(DIR_FS_CATALOG . 'cache/exclude_tables.pdc'))
{
	$excludeTablesArray = unserialize(file_get_contents(DIR_FS_CATALOG . 'cache/exclude_tables.pdc'));
}

$query = 'SHOW TABLES';

if(empty($excludeTablesArray) == false)
{
	$query = 'SHOW TABLES FROM `' . DB_DATABASE . '` WHERE `Tables_in_' . DB_DATABASE . '` NOT IN (\'' . implode("','", $excludeTablesArray) . '\')';
}

$tablesArray = $this->query($query);

if(is_array($tablesArray))
{
	foreach($tablesArray as $tableArray)
	{
		$table = current($tableArray);
		
		$query         = 'SHOW FULL COLUMNS FROM `' . $table . '` WHERE `Null` = "NO" AND `Default` IS NULL AND `Extra` != "auto_increment"';
		$columnsResult = $this->query($query, true);
		
		if($columnsResult !== false)
		{
			while($fieldArray = $columnsResult->fetch_assoc())
			{
				$timeNow = microtime(true);
				
				$field = $fieldArray['Field'];
				
				// interrupt after 3 seconds and start new ajax request
				if($timeNow - $timeStart > 3)
				{
					$this->rerun_step = true;
					
					file_put_contents(DIR_FS_CATALOG . 'cache/exclude_tables.pdc', serialize($excludeTablesArray));
					
					debug_notice('Default value configuration interrupted. Next step: table \'' . $table . '\' column \'' . $field . '\'');
					
					return;
				}
				
				$typeArray = explode('(', $fieldArray['Type']);
				$type      = strtolower($typeArray[0]);
				
				$character = '';
				
				if(in_array($type, $stringTypesArray))
				{
					$default = "''";
					$charset = explode('_', $fieldArray['Collation']);
					$charset = $charset[0];
					
					$character = ' CHARACTER SET ' . $charset . ' COLLATE ' . $fieldArray['Collation'];
				}
				elseif(in_array($type, $numberArray))
				{
					$default = '0';
				}
				elseif(in_array($type, $dateArray))
				{
					$default = '"0000-00-00"';
				}
				elseif(in_array($type, $datetimeArray))
				{
					$default = '"0000-00-00 00:00:00"';
				}
				else
				{
					continue;
				}
				
				$query = 'ALTER TABLE `' . $table . '` CHANGE `' . $field . '` `' . $field . '` ' . $fieldArray['Type'] . $character . ' NOT NULL DEFAULT ' . $default;
				$t_success &= $this->query($query);
			}
		}
		
		$excludeTablesArray[] = $table;
	}	
}

if(file_exists(DIR_FS_CATALOG . 'cache/exclude_tables.pdc'))
{
	unlink(DIR_FS_CATALOG . 'cache/exclude_tables.pdc');
}
// END DB set default value for NOT NULL columns

$query = 'SELECT 
				op.orders_products_id, 
				l.languages_id, 
				op.products_name 
			FROM 
				orders_products op, 
				orders o, 
				languages l 
			WHERE 
				op.products_id = 0 AND
				op.orders_id = o.orders_id AND
				o.language = l.directory
			GROUP BY op.orders_products_id';

$orders = $this->query($query, true);

if($orders !== false)
{
	while($order = $orders->fetch_assoc())
	{
		$query = 'SELECT products_id 
					FROM products_description 
					WHERE 
						products_name = "' . $this->real_escape_string($order['products_name']) . '" AND 
						language_id = ' . $order['languages_id'];
		
		$check = $this->query($query,  true);
		if($check->num_rows === 1)
		{
			$product = $check->fetch_assoc();
			
			$query = 'UPDATE orders_products 
						SET products_id = ' . $product['products_id'] . ' 
						WHERE orders_products_id = ' . $order['orders_products_id'];
			$t_success &= is_numeric($this->query($query));
		}
	}
}