<?php
/* --------------------------------------------------------------
   dependent.inc.php 2016-04-13
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   -------------------------------------------------------------- 
*/

// Change data type of customer group permission columns.
// ======================================================

// Fetch group permission tables without default value from products table.
$productQuery = '
	SHOW
		FULL COLUMNS
	FROM
		`products`
	WHERE
		`Field` LIKE "group_permission\_%"
	AND
		`Null` = "NO"
	AND
		`Default` IS NULL';

$productColumns = $this->query($productQuery);

// Iterate over each fetched column and set the default value.
foreach($productColumns as $column) {
	// Field name.
	$columnName = $column['Field'];

	// Query to set column default value.
	$defaultValueQuery = '
		ALTER TABLE
			`products`
		ALTER COLUMN
			`' . $columnName . '`
		SET DEFAULT
			"0"
	';

	// Execute query.
	$this->query($defaultValueQuery);
}

// Fetch group permission tables without default value from categories table.
$categoryQuery = '
	SHOW
		FULL COLUMNS
	FROM
		`categories`
	WHERE
		`Field` LIKE "group_permission\_%"
	AND
		`Null` = "NO"
	AND
		`Default` IS NULL';

$categoryColumns = $this->query($categoryQuery);

// Iterate over each fetched column and set the default value.
foreach($categoryColumns as $column) {
	// Field name.
	$columnName = $column['Field'];

	// Query to set column default value.
	$defaultValueQuery = '
		ALTER TABLE
			`categories`
		ALTER COLUMN
			`' . $columnName . '`
		SET DEFAULT
			"0"
	';

	// Execute query.
	$this->query($defaultValueQuery);
}

// Update custom CSS (Gambio) of styles based on boilerplate2 (boxed layout)
if(is_readable(DIR_FS_CATALOG . 'StyleEdit3/templates/Honeygrid'))
{
	$styles = glob(DIR_FS_CATALOG . 'StyleEdit3/templates/Honeygrid/*.json');
	
	if(is_array($styles))
	{
		foreach($styles as $file)
		{
			$styleJsonString = file_get_contents($file);
			$style           = @json_decode($styleJsonString, true);
			$oldCss          = "#stage,\n\t#categories,\n\t#topbar-container {\n\t\tmargin: 0 -15px;\n\t}";
			$newCss          = "#header {\n\t\tbackground: transparent;\n\t}";
			
			if(is_array($style) && $style['boilerplate'] === 'boilerplate2' && strpos($style['customStyles'], $oldCss) !== false)
			{
				$style['customStyles'] = str_replace($oldCss, $newCss, $style['customStyles']);
				
				if(defined('JSON_PRETTY_PRINT') && defined('JSON_UNESCAPED_SLASHES'))
				{
					$styleJsonString = json_encode($style, JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES);
				}
				else
				{
					$styleJsonString = json_encode($style); // PHP v5.3
				}
				
				@file_put_contents($file, $styleJsonString);
			}
		}
	}
}