/* --------------------------------------------------------------
	ipayment.js 2016-03-23
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

gambio.widgets.module('ipayment', [], function(data) {
	'use strict';

	// ########## VARIABLE INITIALIZATION ##########
	var $this = $(this),
		defaults = {
		},
		options = $.extend(true, {}, defaults, data),
		module = {};

	// ########## INITIALIZATION ##########

	/**
	 * Init function of the widget
	 * @constructor
	 */
	module.init = function(done) {
		if(typeof(ipayment_silentmode) == 'number' && ipayment_silentmode == 0)
		{
			$('#ipayment_form').submit();
		}

		$('select#ipay_addr_country').on('change', function(e) {
			var country = $(this).val();
			if(country == 'US' || country == 'CA') {
				$('select.usca_only').show();
				$('select.usca_only').removeAttr('disabled');
				if(country == 'US') {
					$('option.usa_only').show();
					$('option.canada_only').hide();
				}
				if(country == 'CA') {
					$('option.canada_only').show();
					$('option.usa_only').hide();
				}
				$('select#ipay_addr_state').val($('select#ipay_addr_state option:visible').first().val());
			}
			else {
				$('select.usca_only').hide();
				$('select.usca_only').attr('disabled', 'disabled');
			}
		});
		$('select#ipay_addr_country').trigger('change');

		$('#ipay_cc_typ').on('change', function(e) {
			$('div.solo_only').hide();
			var card = $(this).val();
			if(card == 'SoloCard' || card == 'MaestroCard') {
				$('div.solo_only').show();
			}
		});
		$('#ipay_cc_typ').trigger('change');

		done();
	};

	// Return data to widget engine
	return module;
});

