<?php

/* --------------------------------------------------------------
   overload_example_order_object_service.inc.php 2016-02-22
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * Class overload_example_order_object_service
 *
 * This sample demonstrates the overloading of the OrderObjectService class. After enabling this sample create
 * a new order from the shop frontend. Then head to the admin log page where there is a new debug log entry about
 * the creation of the new order item.
 *
 * @see OrderObjectService
 */
class overload_example_order_object_service extends overload_example_order_object_service_parent
{
	/**
	 * Overloaded "createOrderItemObject" method.
	 *
	 * This method will log the creation of the new OrderItem instance.
	 *
	 * @param StringType $name
	 *
	 * @return OrderItemInterface
	 */
	public function createOrderItemObject(StringType $name)
	{
		$logControl = LogControl::get_instance();
		$logControl->notice('OrderObjectService::createOrderItemObject >> Created new OrderItem instance with name = "'
		                    . $name->asString() . '"');
		
		return parent::createOrderItemObject($name);
	}
}
